local addon_data = {
	
	name = "GTA V Complex Rifle",
	bloom_func = function(index,bitmap,data)
		local bloom = data.bloom
		local crosshair_data = data.crosshair_data and data.crosshair_data.parts[index] or {}
		local distance = (crosshair_data.distance or 10) * (1 + bloom)
		local angle = crosshair_data.angle or 60
		local c_x = data.panel_w/2
		local c_y = data.panel_h/2
		bitmap:set_center(c_x + (math.sin(angle) * distance),c_y - (math.cos(angle) * distance))
	end,
	parts = {
		{
			texture_path = "crosshairassets/rifle_corner",
			angle = 0,
			rotation = 0,
			distance = 8,
			w = 4,
			h = 8
		},
		{
			texture_path = "crosshairassets/rifle_corner",
			rotation = 90,
			angle = 90,
			distance = 8,
			w = 4,
			h = 8
		},
		{
			texture_path = "crosshairassets/rifle_corner",
			rotation = 180,
			angle = 180,
			distance = 8,
			w = 4,
			h = 8
		},
		{
			texture_path = "crosshairassets/rifle_corner",
			rotation = 270,
			angle = 270,
			distance = 8,
			w = 4,
			h = 8
		}
	}
}

return "GTA V Complex Rifle",addon_data